import { TiptapEventService } from '../../services/tiptap-event.service';
import { SelectBaseControl } from './base-control';
import * as i0 from "@angular/core";
export declare class ControlTextAlignComponent extends SelectBaseControl {
    protected eventService: TiptapEventService;
    disableSanitation: boolean;
    protected canStyleParams: string[];
    constructor(eventService: TiptapEventService);
    setAlign(alignment: 'justify' | 'left' | 'center' | 'right'): void;
    protected canStyle(alignment: 'justify' | 'left' | 'center' | 'right'): boolean;
    protected currentActive(): 'left' | 'right' | 'center' | 'justify' | null;
    static ɵfac: i0.ɵɵFactoryDeclaration<ControlTextAlignComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ControlTextAlignComponent, "tip-control-text-align", never, { "disableSanitation": "disableSanitation"; }, {}, never, ["[data-left]", "[data-right]", "[data-center]", "[data-justify]"]>;
}
