import type { Editor } from '@tiptap/core';
import * as i0 from "@angular/core";
export declare class EditorBodyComponent {
    minHeight: string;
    maxHeight: string;
    private _displayTopCurves;
    private _displayBottomCurves;
    private editor;
    private _editorElement;
    private _bodyWrapper;
    set displayTopCurves(value: boolean);
    set displayBottomCurves(value: boolean);
    get editorElement(): HTMLDivElement | null;
    get height(): string;
    setEditor(tiptapEditor: Editor): void;
    private applyBorderClasses;
    static ɵfac: i0.ɵɵFactoryDeclaration<EditorBodyComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<EditorBodyComponent, "tip-editor-body, tip-editor-body[minHeight][maxHeight]", never, { "minHeight": "minHeight"; "maxHeight": "maxHeight"; }, {}, never, never>;
}
