import { AfterViewInit, Injector, NgZone, OnChanges, Renderer2, SimpleChanges, Type } from '@angular/core';
import { DomSanitizer } from '@angular/platform-browser';
import type { Extensions } from '@tiptap/core';
import { ExtensionBuilder } from '../../extensions/base-extension.model';
import { TipBaseExtension } from '../../extensions/tip-base-extension';
import * as i0 from "@angular/core";
export declare class EditorPreviewComponent implements AfterViewInit, OnChanges {
    private domSanitizer;
    private renderer;
    private injector;
    private ngZone;
    extensions: Extensions;
    angularExtensions: ExtensionBuilder<any, Type<TipBaseExtension<any>>>[];
    sanitizeHtml: boolean;
    private contentOutlet;
    private _content;
    private builtExtensions;
    constructor(domSanitizer: DomSanitizer, renderer: Renderer2, injector: Injector, ngZone: NgZone);
    set content(value: object | string | null);
    ngOnChanges(_: SimpleChanges): void;
    ngAfterViewInit(): void;
    renderOutput(content?: object | string | null): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<EditorPreviewComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<EditorPreviewComponent, "tip-editor-preview", never, { "extensions": "extensions"; "angularExtensions": "angularExtensions"; "sanitizeHtml": "sanitizeHtml"; "content": "content"; }, {}, never, never>;
}
