import { DialogRef } from '../dialog/dialog.helpers';
import { ControlLinkComponent } from '../controls/control-link.component';
import * as i0 from "@angular/core";
export interface LinkSelectionProps {
    link?: string;
    inputPlaceholder: string;
}
export declare class LinkSelectComponent {
    private dialogRef;
    data: {
        link: string;
        popupText: string;
        inputPlaceholder: string;
    };
    error: string | null;
    private urlRegex;
    constructor(dialogRef: DialogRef<string, string, ControlLinkComponent>, data: {
        link: string;
        popupText: string;
        inputPlaceholder: string;
    });
    submit(value: string, event?: Event): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LinkSelectComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LinkSelectComponent, "tip-link-select", never, {}, {}, never, never>;
}
