import { AfterViewInit, ChangeDetectorRef, ElementRef, EventEmitter, NgZone, OnDestroy, OnInit, Renderer2 } from '@angular/core';
import { DomSanitizer } from '@angular/platform-browser';
import * as i0 from "@angular/core";
export declare class OptionComponent {
    private element;
    onSelect: EventEmitter<OptionComponent>;
    value: any;
    enforceHeight: boolean;
    useHtml: boolean;
    _disabled: boolean;
    private option;
    constructor(element: ElementRef);
    set disabled(value: boolean);
    setSelected(value: boolean): void;
    emit($event: MouseEvent | Event): void;
    getContent(): string;
    private addOrRemoveClass;
    static ɵfac: i0.ɵɵFactoryDeclaration<OptionComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<OptionComponent, "tip-option[value]", never, { "value": "value"; "enforceHeight": "enforceHeight"; "useHtml": "useHtml"; "disabled": "disabled"; }, {}, never, ["*"]>;
}
export declare class SelectComponent implements AfterViewInit, OnDestroy, OnInit {
    private cd;
    private element;
    private ngZone;
    private renderer2;
    private sanitizer;
    private document;
    width: string;
    placeholder: string;
    defaultValue: string;
    showIcon: boolean;
    disablePreviewSanitation: boolean;
    change: EventEmitter<any>;
    visible: boolean;
    private optionList;
    private selectPreview;
    private toggleElement;
    private destroy$;
    private _value;
    constructor(cd: ChangeDetectorRef, element: ElementRef, ngZone: NgZone, renderer2: Renderer2, sanitizer: DomSanitizer, document: Document);
    get value(): any;
    set value(value: any);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    toggle(): void;
    /**
     * Select the current component depending on the selected value
     * @param emitUpdate Should the change be propagated
     */
    private updateComponent;
    static ɵfac: i0.ɵɵFactoryDeclaration<SelectComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SelectComponent, "tip-select", never, { "width": "width"; "placeholder": "placeholder"; "defaultValue": "defaultValue"; "showIcon": "showIcon"; "disablePreviewSanitation": "disablePreviewSanitation"; "value": "value"; }, { "change": "change"; }, ["optionList"], ["*"]>;
}
