import { NgZone } from '@angular/core';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class TiptapEventService {
    private ngZone;
    private clickSubject;
    private keyboardSubject;
    private clickSubscription;
    private keyboardSubscription;
    update$: Observable<MouseEvent | KeyboardEvent>;
    onClick$: Observable<MouseEvent>;
    onKeyboard$: Observable<KeyboardEvent>;
    constructor(ngZone: NgZone);
    registerShortcut(shortcut: string): Observable<KeyboardEvent>;
    setElement(element: HTMLDivElement): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TiptapEventService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<TiptapEventService>;
}
