import { ChangeDetectorRef } from '@angular/core';
import type { Editor } from '@tiptap/core';
import { HeadingLevel } from '../../models/types';
import { TiptapEventService } from '../../services/tiptap-event.service';
import { SelectBaseControl } from './base-control';
import * as i0 from "@angular/core";
export declare class ControlFormatComponent extends SelectBaseControl {
    protected eventService: TiptapEventService;
    private cd;
    disableSanitation: boolean;
    levels: HeadingLevel[];
    headingHtml: Record<number, string>;
    protected canStyleParams: (number | string)[];
    constructor(eventService: TiptapEventService, cd: ChangeDetectorRef);
    setEditor(editor: Editor): void;
    selectTextLevel(format: number | string): void;
    protected canStyle(format: number | string): boolean;
    protected currentActive(): string | number | null;
    private setParagraph;
    private setHeading;
    static ɵfac: i0.ɵɵFactoryDeclaration<ControlFormatComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ControlFormatComponent, "tip-format-control", never, { "disableSanitation": "disableSanitation"; }, {}, never, never>;
}
