import { OnDestroy } from '@angular/core';
import { Editor } from '@tiptap/core';
import { EditorEvent } from '../../models/types';
import { TiptapEventService } from '../../services/tiptap-event.service';
import { TiptapExtensionService } from '../../services/tiptap-extension.service';
import { ButtonBaseControl } from './base-control';
import * as i0 from "@angular/core";
export declare class ControlLinkComponent extends ButtonBaseControl implements OnDestroy {
    protected eventService: TiptapEventService;
    private extensionService;
    protected updateEvent: EditorEvent;
    private linkExtension;
    constructor(eventService: TiptapEventService, extensionService: TiptapExtensionService);
    onEditorReady(editor: Editor): void;
    can(): Promise<boolean>;
    openLinkDialog(): Promise<void>;
    protected isActive(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<ControlLinkComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ControlLinkComponent, "tip-control-link", never, {}, {}, never, ["*"]>;
}
