import { OnInit } from '@angular/core';
import { Editor } from '@tiptap/core';
import { TiptapEventService } from '../../services/tiptap-event.service';
import { TiptapExtensionService } from '../../services/tiptap-extension.service';
import { ExtendedBaseControl } from './base-control';
import * as i0 from "@angular/core";
export declare class DisplayCharacterCountComponent extends ExtendedBaseControl implements OnInit {
    protected eventService: TiptapEventService;
    private tiptapExtensionService;
    displayLimit: boolean;
    displayCharacter: boolean;
    displayWordCount: boolean;
    worldString: string;
    characterString: string;
    private characterElement;
    private wordCountElement;
    private characterCountExtension;
    constructor(eventService: TiptapEventService, tiptapExtensionService: TiptapExtensionService);
    ngOnInit(): void;
    onEditorReady(editor: Editor): void;
    private updateCharacterCountHtml;
    static ɵfac: i0.ɵɵFactoryDeclaration<DisplayCharacterCountComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DisplayCharacterCountComponent, "tip-character-count-display", never, { "displayLimit": "displayLimit"; "displayCharacter": "displayCharacter"; "displayWordCount": "displayWordCount"; "worldString": "worldString"; "characterString": "characterString"; }, {}, never, never>;
}
