import { AnyExtension } from '@tiptap/core';
import { TipBaseExtension } from '../extensions/tip-base-extension';
import * as i0 from "@angular/core";
export declare class TiptapExtensionService {
    private _nativeExtensions;
    private _angularExtensions;
    get angularExtensions(): Record<string, TipBaseExtension<any>>;
    setAngularExtensions(value: TipBaseExtension<any>[]): void;
    get nativeExtensions(): Record<string, AnyExtension>;
    setNativeExtensions(value: AnyExtension[]): void;
    getExtension<T extends AnyExtension | TipBaseExtension<any>>(extensionName: string): AnyExtension | TipBaseExtension<any> | null;
    static ɵfac: i0.ɵɵFactoryDeclaration<TiptapExtensionService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<TiptapExtensionService>;
}
